import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/bullframe/selectBullframePage`,
    method: 'post',
    data
  })
}

// 新增 / 编辑
export function submit(data){
  return request({
    url: `/admin/bullframe/saveOrUpdateBullframe`,
    method: 'post',
    data
  })
}

// 上下架
export function change(id, status) {
  return request({
    url: `/admin/bullframe/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 产品型号
export function devList(type) {
  return request({
    url: `/admin/bullframe/getIsExistclientTypeList/${type}`,
    method: 'get'
  })
}

// 详情
export function detail(id){
  return request({
    url: `/admin/bullframe/getBullframeById/${id}`,
    method: 'get'
  })
}